Bug 665965 - CVE-2010-4494 libxml2: Memory corruption (double-free) in XPath processing code [fedora-all]
Summary: CVE-2010-4494 libxml2: Memory corruption (double-free) in XPath processing co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libxml2
Version: 14
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2010-4494
TreeView+ depends on / blocked
 
Reported: 2010-12-28 06:04 UTC by Huzaifa S. Sidhpurwala
Modified: 2011-03-30 05:34 UTC (History)
3 users (show)

Fixed In Version: libxml2-2.7.8-6.fc15
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-26 13:43:43 UTC
Type: ---


Attachments (Terms of Use)
Merged version of the upstream commits (1.08 KB, patch)
2011-03-04 10:36 UTC, Thomas Jarosch
no flags Details | Diff

Description Huzaifa S. Sidhpurwala 2010-12-28 06:04:28 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=665963

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 2 Thomas Jarosch 2011-03-04 10:36:11 UTC
Created attachment 482266 [details]
Merged version of the upstream commits

Comment 3 Fedora Update System 2011-03-04 13:55:39 UTC
Package libxml2-2.7.7-3.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libxml2-2.7.7-3.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/libxml2-2.7.7-3.fc14
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-05 02:39:35 UTC
libxml2-2.7.7-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libxml2'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libxml2-2.7.7-3.fc14

Comment 5 Fedora Update System 2011-03-13 21:19:05 UTC
libxml2-2.7.7-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Göran Uddeborg 2011-03-25 20:00:30 UTC
The description in comment 0 says, "this issue affects multiple supported versions of Fedora.  Only one tracking bug has been filed; please only close it when all affected versions are fixed."  But unless I'm mistaken, it is only fixed in F14, not in F13 nor the upcoming F15.

Comment 7 Daniel Veillard 2011-03-26 13:43:43 UTC
I did the build for all Fedora, it's not my fault if nobody dares to review the
security fix and allows it to be pushed,

https://admin.fedoraproject.org/updates/libxml2-2.7.7-2.fc13

For the upcoming fc15

paphio:~/fcpkgs/libxml2 -> fedpkg build
Could not initiate build: libxml2-2.7.8-6.fc15 has already been built
paphio:~/fcpkgs/libxml2 -> grep -C 4 2.7.8-6 libxml2.spec 
%doc doc/*.py
%doc doc/python.html

%changelog
* Fri Mar  4 2011 Daniel Veillard <veillard@redhat.com> - 2.7.8-6
- fix a double free in XPath CVE-2010-4494 bug 665965

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
paphio:~/fcpkgs/libxml2 -> 

  It was build, I don't find it anymore ... not really my fault
I did my part of the job ! Now if someone can give carma to the
packages waiting for them for 3 weeks, go ahead !

Daniel

Comment 8 Göran Uddeborg 2011-03-26 20:28:29 UTC
It was the F15 package I was interested in.  I see it in now Koji, but not in bodhi, nor in updates/testing/15 on the mirrors.

I guess I can download the packages from koji, install and test them.  But I don't know how to give karma when I can't find it in bodhi.

Comment 9 Fedora Update System 2011-03-28 02:51:07 UTC
libxml2-2.7.8-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libxml2-2.7.8-6.fc15

Comment 10 Daniel Veillard 2011-03-28 02:53:25 UTC
Apparently I had to (re ?) create it ... 
https://admin.fedoraproject.org/updates/libxml2-2.7.8-6.fc15

I think I built it thinking it was still rawhide but the f15 branch has already been done, or something like this,

Daniel

Comment 11 Göran Uddeborg 2011-03-28 19:35:33 UTC
> Apparently I had to (re ?) create it ... 

And this time it worked.  I've upgraded, and it works just fine! :-)

Comment 12 Fedora Update System 2011-03-30 05:34:30 UTC
libxml2-2.7.8-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.